import React from 'react';
import { Helpers } from '../../../utils/Helpers';

export default class StaticSelectField extends React.Component {
  render() {
    return <select type="form-control">
      { (this.props.options instanceof Array) && this.props.options.map((option) => {
        <option key={Helpers.randomNumber} value={ option }>{ option }</option>
      }) }
      { (this.props.options instanceof Object) && Object.keys(this.props.options).map((option_value) => {
        <option key={Helpers.randomNumber} value={ option_value }>{ this.props.options[option_value] }</option>
      }) }
    </select>
  }
}
